aboutsummaryrefslogtreecommitdiff
path: root/debian/zinc-python.postinst
diff options
context:
space:
mode:
authorlepied1999-07-22 13:02:27 +0000
committerlepied1999-07-22 13:02:27 +0000
commit09c7bef62c42a2d7e27f58813856193f8dcdc5e1 (patch)
tree6c33a6c81fec72c9e98f835075d5b7ace200edc8 /debian/zinc-python.postinst
parent00c5d21ed6ec19cb26a29d5ac84f78422217020e (diff)
downloadtkzinc-09c7bef62c42a2d7e27f58813856193f8dcdc5e1.zip
tkzinc-09c7bef62c42a2d7e27f58813856193f8dcdc5e1.tar.gz
tkzinc-09c7bef62c42a2d7e27f58813856193f8dcdc5e1.tar.bz2
tkzinc-09c7bef62c42a2d7e27f58813856193f8dcdc5e1.tar.xz
* cr�ation du paquetage python-xradar3.
Diffstat (limited to 'debian/zinc-python.postinst')
-rw-r--r--debian/zinc-python.postinst22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/zinc-python.postinst b/debian/zinc-python.postinst
new file mode 100644
index 0000000..8e6fcbb
--- /dev/null
+++ b/debian/zinc-python.postinst
@@ -0,0 +1,22 @@
+#! /bin/bash -e
+#
+# Debian postinst script for Python 1.5 hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+#
+
+NAME=python-xradar3
+DIRLIST="/usr/lib/python1.5/site-packages"
+
+case "$1" in
+ configure|abort-upgrade|abort-remove|abort-deconfigure)
+ for i in $DIRLIST ; do
+ python -O /usr/lib/python1.5/compileall.py -q $i
+ python /usr/lib/python1.5/compileall.py -q $i
+ done
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac